VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: 081228 lyx-1.6.1 [VL 5.9]  (Read 2336 times)

caitlyn

  • Moderator
  • Vectorian
  • *****
  • Posts: 2878
    • The Linux Works
081228 lyx-1.6.1 [VL 5.9]
« on: December 28, 2008, 09:11:37 pm »

hata_ph has packaged the latest version of LyX for VL 5.9.

Package:  lyx-1.6.1-i586-1vl59.tlz
MD5:  bbf3d50745a82d0adc3e6e310264d656
Package Size: 7.7 MB
Installed Size: 37.7 MB

Sources: http://vectorlinux.osuosl.org/veclinux-5.9/source/testing/x-apps/lyx

Code: [Select]
lyx: lyx (The Document Processor)
lyx:
lyx: LyX is a document processor that encourages an approach to
lyx: writing based on the structure of your documents (WYSIWYM),
lyx: and not simply their appearance (WYSIWYG).
lyx:
lyx:
lyx:
lyx: License: GPL2
lyx: Authors: The Lyx Team
lyx: Website: http://www.lyx.org

After testing this package please stop back and post a report in this thread letting us know how it works for you.
Logged
eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1

sledgehammer

  • Vectorian
  • ****
  • Posts: 1472
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #1 on: February 28, 2009, 08:59:13 pm »

lyx 1.6.1 works well in 5.9, in my opinion.  I hope hata_ph does it for VL6.0 soon and will post that on the package request forum now.

Thanks!

John
Logged
VL7.0 xfce4 Samsung RF511

hata_ph

  • Moderator
  • Vectorian
  • *****
  • Posts: 3261
  • -- Just being myself --
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #2 on: March 01, 2009, 03:21:24 am »

lyx 1.6.1 works well in 5.9, in my opinion.  I hope hata_ph does it for VL6.0 soon and will post that on the package request forum now.

Thanks!

John

Hi sledgehammer,

I just install VL6 STD recently and still playing with it. Once I get use to it I will try to build lyx ASAP. :)
Logged

sledgehammer

  • Vectorian
  • ****
  • Posts: 1472
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #3 on: March 01, 2009, 10:02:34 am »

Thanks hata_ph.  My secretary is still on VL5.8 STD and uses an older version of Lyx.  This causes compatibility problems as I am on 5.9 and use lyx 1.6.1.  My thought is to move her directly to 6.0 and let her sort of test it and, presumably, Lyx 1.6.1 or 1.6.2 (whichever you load), etc for stability, compatibility etc before I switch from 5.9.  Sort of like climbing a sinking ladder.  I've learned that one needs to climb every once in a while in order to stay even. I really did appreciate getting lyx 1.6.1 in the 5.9 repositories.

John
Logged
VL7.0 xfce4 Samsung RF511

sledgehammer

  • Vectorian
  • ****
  • Posts: 1472
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #4 on: March 04, 2009, 11:59:25 am »

hata_ph, I have a question.

Since I have already switched to VL6.0 and need at least 1.6.0 ver lyx, I tried installing your Vl5.9 package in 6.0 and got the following error:

Quote
lyx: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory

I looked and I have the requested file:

Quote
/usr/lib/qt-4.4.1/lib/libQtGui.so.4

Do you have a possible work-around that would let me get by until VL6.0 lyx is ready?

Any suggestion is appreciated.  I tried the slacky.eu ver (lyx 1.6.0) and got the same error. Actually the error quoted above is from the slacky.eu install.  But the VL5.9 error was essentially the same.

John
Logged
VL7.0 xfce4 Samsung RF511

hata_ph

  • Moderator
  • Vectorian
  • *****
  • Posts: 3261
  • -- Just being myself --
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #5 on: March 04, 2009, 04:56:57 pm »

Quote
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

   |-----handy-ruler------------------------------------------------------|
lyx: lyx (The Document Processor)
lyx:
lyx: LyX is a document processor that encourages an approach to
lyx: writing based on the structure of your documents (WYSIWYM),
lyx: and not simply their appearance (WYSIWYG).
lyx:
lyx:
lyx:
lyx: License: GPL2
lyx: Authors: The Lyx Team
lyx: Website: http://www.lyx.org

#----------------------------------------
BUILDDATE: Sun Dec 28 18:51:44 MYT 2008
PACKAGER:  hata_ph
HOST:      Linux 2.6.22.19 i686
DISTRO:    5.9 Light Final built on 2008-07-16
CFLAGS:    -O2 -march=i586 -mtune=i686
LDFLAGS:   
CONFIGURE:   $ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --mandir=/usr/man --with-included-gettext --disable-debug --program-prefix= --program-suffix= --build=i486-slackware-linux --with-qt4-dir=/usr/lib/qt4

I believe I build with /usr/lib/qt4 as the Qt4 path. Maybe you can modify that and have a try but I scare it will screw up your system though....

I will try to build lyx by tonight.....
Logged

sledgehammer

  • Vectorian
  • ****
  • Posts: 1472
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #6 on: March 04, 2009, 10:06:57 pm »

Thanks,

If you can do it, great!  Believe me, I know its not easy.  I should have waited til lyx was repositoried before switching to 6.0. It is a bigger deal that I thought due, in part at least, to lyx itself, which is not good with backward compatibility.  But I still think it will be worth it.

John
Logged
VL7.0 xfce4 Samsung RF511

sledgehammer

  • Vectorian
  • ****
  • Posts: 1472
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #7 on: March 06, 2009, 02:17:04 pm »

hata_ph,

Though I have used lyx for years, I have never, until today, been able to compile it from source.  I tried it this morning and it seemed to work.  (I have been working in it for a few hours now.)  I will let you know if I have problems.  Meanwhile, thanks much for all your efforts. 

John

Logged
VL7.0 xfce4 Samsung RF511

hata_ph

  • Moderator
  • Vectorian
  • *****
  • Posts: 3261
  • -- Just being myself --
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #8 on: March 06, 2009, 05:13:34 pm »

I have packaged lyx-1.6.1 for VL6. Still waiting it to transfer to the testing repo. :P
Logged

caitlyn

  • Moderator
  • Vectorian
  • *****
  • Posts: 2878
    • The Linux Works
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #9 on: March 08, 2009, 05:54:23 pm »

The VL 6.0 package is in testing now.  It won't actually show up in gslapt until the repo maintenance is complete which will be sometime later tonight.
Logged
eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1

sledgehammer

  • Vectorian
  • ****
  • Posts: 1472
Re: 081228 lyx-1.6.1 [VL 5.9]
« Reply #10 on: March 09, 2009, 07:18:42 am »

Thanks!

John
Logged
VL7.0 xfce4 Samsung RF511